Bug 14855 - LILO doesn't accept "unsafe" entries anymore.
LILO doesn't accept "unsafe" entries anymore.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: lilo (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael K. Johnson
Winston gold
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-30 14:34 EDT by Jos Vos
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-23 10:58:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jos Vos 2000-07-30 14:34:50 EDT
When adding the following entry to a standard lilo.conf file, I get an
error message saying "TABLE and UNSAFE are mutually incompatible":

other=/dev/hda2
        label=hda2
        unsafe

I didn't put any table entries though...
Comment 1 Glen Foster 2000-07-30 18:12:12 EDT
This defect is considered MUST-FIX for Winston Release-Candidate #1
Comment 2 Glen Foster 2000-08-08 12:45:10 EDT
This defect has been re-classified as MUST-FIX for Winston Gold-release
Comment 3 Gene Czarcinski 2000-08-11 19:07:31 EDT
Note: this still exists under rc1
Comment 4 Crutcher Dunnavant 2000-08-22 11:33:55 EDT
I am using lilo-21.4.4-8, which is the most recent, and this is my lilo.conf
file, and I have no problems with this.

__Begin__
boot=/dev/hda
map=/boot/map
install=/boot/boot.b
prompt
timeout=50
message=/boot/message
linear
compact
vga=0x303
default=linux-up

image=/boot/vmlinuz-2.2.16-21
        label=linux-up
        read-only
        root=/dev/hda7

image=/boot/vmlinuz-2.2.16-21enterprise
        label=linux-ent
        read-only
        root=/dev/hda7

image=/boot/vmlinuz-2.2.16-21smp
        label=linux
        read-only
        root=/dev/hda7

other=/dev/hda8
        label=monkey
        unsafe

Comment 5 Bernhard Rosenkraenzer 2000-08-23 10:58:31 EDT
This is fixed in 21.4.4-10.

Note You need to log in before you can comment on or make changes to this bug.